%global npm_name signal-exit
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 3.0.2
Release: %mkrel 3
Summary: when you want to fire an event no matter how a process exits
License: ISC
Group: Development/Other
URL: https://github.com/tapjs/signal-exit
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr signals.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE.txt
%doc CHANGELOG.md
%doc README.md



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 3.0.2-3.mga8
+ Revision: 1503169
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.0.2-2.mga7
+ Revision: 1280946
- Mageia 7 Mass Rebuild

* Sun Apr 29 2018 kekepower <kekepower> 3.0.2-1.mga7
+ Revision: 1223686
- imported package nodejs-signal-exit

